cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "jcesarmobile (JIRA)" <>
Subject [jira] [Closed] (CB-12428) How to Add/DownGrade android version for a android project?
Date Mon, 06 Feb 2017 16:53:41 GMT


jcesarmobile closed CB-12428.
    Resolution: Not A Problem
      Assignee: jcesarmobile

You are mixing up cordova-android versions with Android OS versions.

In cordova-android 4.x.x we dropped support for Android 2.x.x and 3.x.x versions setting the
min SDK to 14, so to install your app in an old phone with Android 2.3.6 you will have to
use latest cordova-android 3.x.x. (I think it was 3.7.1)

If you want to know more about cordova-android releases and the Android OS versions they support,
they are always announced in the blog

> How to Add/DownGrade android version for a android project?
> -----------------------------------------------------------
>                 Key: CB-12428
>                 URL:
>             Project: Apache Cordova
>          Issue Type: Task
>          Components: Android
>    Affects Versions: 2.3.0
>         Environment: Android Gingerbread(2.3.6)
>            Reporter: ARIJIT DAS
>            Assignee: jcesarmobile
>            Priority: Critical
>              Labels: newbie
> Hello,
>  I am having a mobile(Samsung Galaxy Ace Duos) with android Gingerbread(Android version:
> I have installed cordova command line untility (with the help of node.js and npm) on
my Windows7 pc.
> Now, after making my first app when I am running the command:- "cordova run android",
then the app is getting installed into my this mobile phone and showing error as follows:-
> -----------------------------------------------
> Error: Failed to install apk to device: pkg: /data/local/tmp/android-debug-apk
> rm failed for -f, Read-only file system
> -----------------------------------------------
> I thought that it is may be due to I am having an older version compared with the android
version installed with the cordova (cordova is having android version 6.1.2).
> Then I tried to remove this existing android 6.1.2 version and install android 2.3.6
or 2.3.0 versions, but it is also showing me the following error:-
> ---------------------------------------------
> Error: Failed to fetch platform android@2.3.0
> Probably this is either a connection problem or platform spec is incorrect.
> Check your connection and platform name/version/URL.
> Error: version not found: cordova-android@2.3.0
> ---------------------------------------------
> Please help on this regard and oblige me thereby.
> Thanks.

This message was sent by Atlassian JIRA

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message